Subject: bug#37729: closed (Re: bug#37729: "!${PATH}/date" path prefix in DEMO change directory is failing)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Oct 2019 17:03:02 +0000

Your bug report

#37729: "!${PATH}/date" path prefix in DEMO change directory is failing

which was filed against the hyperbole package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37729: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37729
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37729: "!${PATH}/date" path prefix in DEMO change directory is failing
From: Robert Weiner <[email-masked]>
To: [email-masked]
Cc: [email-masked], Lidell Mats <[email-masked]>
Date: Sun, 13 Oct 2019 13:02:00 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This is resolved by the prior fix for bug#37724 and is now being closed.

Bob

On Sun, Oct 13, 2019 at 3:25 AM Kevin J. McCarthy <[email-masked]> wrote:
>
> I use:  Editor:      GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.4)
>
>          Hyperbole:   7.0.7
>          Sys Type:    x86_64-pc-linux-gnu
>          OS Type:     gnu/linux
>          Window Sys:  x
>          News Reader: Gnus v5.13
>
> Trying to run the path prefix example in the DEMO file under
>
> * Implicit Buttons
> ** Implicit Path Links
> *** Path Prefixes
>
> "!${PATH}/date" opens a shell window but tries to cd to the DEMO file
> instead of the directory it is in:
>
> % cd /home/kjm/confs/home/.emacs.d/lib/hyperbole/DEMO; /bin/date
> cd: not a directory: /home/kjm/confs/home/.emacs.d/lib/hyperbole/DEMO
> Sun 13 Oct 2019 03:02:16 PM CST
>
> I use a symlinks to my config files, that's why you see the directory
> path under ~/confs/home/.emacs.d instead of ~/.emacs.d.  But I don't
> think that would be causing an issue here.
>
> It doesn't interfere with the date command running, but I wonder if this
> would affect other possible examples.
>
> Thank you,
>
> -Kevin
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole

Subject: "!${PATH}/date" path prefix in DEMO change directory is failing
From: "Kevin J. McCarthy" <[email-masked]>
To: [email-masked]
Date: Sun, 13 Oct 2019 15:09:54 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I use:  Editor:      GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.4)

         Hyperbole:   7.0.7
         Sys Type:    x86_64-pc-linux-gnu
         OS Type:     gnu/linux
         Window Sys:  x
         News Reader: Gnus v5.13

Trying to run the path prefix example in the DEMO file under

* Implicit Buttons
** Implicit Path Links
*** Path Prefixes

"!${PATH}/date" opens a shell window but tries to cd to the DEMO file 
instead of the directory it is in:

% cd /home/kjm/confs/home/.emacs.d/lib/hyperbole/DEMO; /bin/date
cd: not a directory: /home/kjm/confs/home/.emacs.d/lib/hyperbole/DEMO
Sun 13 Oct 2019 03:02:16 PM CST

I use a symlinks to my config files, that's why you see the directory 
path under ~/confs/home/.emacs.d instead of ~/.emacs.d.  But I don't 
think that would be causing an issue here.

It doesn't interfere with the date command running, but I wonder if this 
would affect other possible examples.

Thank you,

-Kevin